/*
 * mk_term.h
 *
 *  Created on: 06-04-2013
 *      Author: Mirosław Kardaś
 */

#ifndef MK_TERM_H_
#define MK_TERM_H_


// ----> kompletna biblioteka w kolejnym poradniku atnel


void tr_cls(uint8_t cur_onoff);						// kasuj ekran , wł/wył kursor
void tr_cursor_hide( uint8_t hide );				// cursor show=0 / hide=1
void tr_locate( uint8_t y, uint8_t x );				// ustaw wiersz i kolumnę
void tr_pen_color( uint8_t cl );					// ustaw kolor czcionki
void tr_brush_color( uint8_t cl );					// ustaw kolor tła
void tr_attr( uint8_t atr, uint8_t fg, uint8_t bg );// ustaw atrybut: znaku oraz kolor czcionki i tła

void fill_line( char ascii, uint8_t cnt );			// wywietl linię składającą się ze znaku ascii w iloci cnt


#endif /* MK_TERM_H_ */
